<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qs.mp.pay.mapper.PayOrderMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qs.mp.pay.domain.PayOrder">
        <id column="order_id" property="orderId" />
        <result column="biz_type" property="bizType" />
        <result column="biz_id" property="bizId" />
        <result column="order_no" property="orderNo" />
        <result column="order_time" property="orderTime" />
        <result column="pay_resource" property="payResource" />
        <result column="trans_type_code" property="transTypeCode" />
        <result column="transaction_amount" property="transactionAmount" />
        <result column="order_remark" property="orderRemark" />
        <result column="order_name" property="orderName" />
        <result column="order_status" property="orderStatus" />
        <result column="code" property="code" />
        <result column="result" property="result" />
        <result column="complete_date" property="completeDate" />
        <result column="channel_no" property="channelNo" />
        <result column="gmt_created" property="gmtCreated" />
        <result column="gmt_modified" property="gmtModified" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        order_id, biz_type, biz_id, order_no, order_time, pay_resource, trans_type_code, transaction_amount, order_remark, order_name, order_status, code, result, complete_date, channel_no, gmt_created, gmt_modified
    </sql>

</mapper>